This commit is contained in:
R L 2024-09-13 13:36:05 -07:00
parent 9b7d5f0d8f
commit 425024f9aa
Signed by: cybik
GPG Key ID: A6DD1646CC69863E
3 changed files with 23 additions and 23 deletions

6
debian/changelog vendored
View File

@ -1,5 +1,5 @@
upstream-name (1.0-101pika1) pika; urgency=medium
sbctl (0.15.4-101pika1) pika; urgency=low
* Initial release. (Closes: #nnnn) <nnnn is the bug number of your ITP>
* Initial release.
-- ferreo <harderthanfire@gmail.com> Wed, 18 Jan 2023 21:48:14 +0000
-- cybik <root@cybik.moe> Fri, 13 Sep 2024 13:38:39 -0700

23
debian/control vendored
View File

@ -1,19 +1,14 @@
Source: upstream-name
Source: sbctl
Section: admin
Priority: optional
Maintainer: name <email>
Maintainer: cybik <root@cybik.moe>
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Build-Depends:
debhelper-compat (= 13), asciidoc, golang-go
Rules-Requires-Root: yes
Package: pkgname1
Package: sbctl
Architecture: linux-any
# Delete any of these lines if un-used
Depends: ${misc:Depends}, depends
Recommends: high priority optdepends
Conflicts: conflicts
Suggests: low priority optdepends
Breaks: also conflicts!?
Provides: provides
#
Description: pkgdesc
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: sbctl
Description: SecureBoot Manager toolkit

17
main.sh
View File

@ -6,21 +6,26 @@ set -e
echo "$PIKA_BUILD_ARCH" > pika-build-arch
VERSION="1.0"
VERSION="0.15.4"
# Clone Upstream
mkdir -p ./src-pkg-name
cp -rvf ./debian ./src-pkg-name/
cd ./src-pkg-name/
UPSTREAM_NAME="sbctl"
git clone https://github.com/Foxboron/sbctl.git "${UPSTREAM_NAME}"
cp -rvf ./debian ./${UPSTREAM_NAME}/
# Get in there.
pushd "./${UPSTREAM_NAME}/" || exit 1
# Get build deps
LOGNAME=root dh_make --createorig -y -l -p src-pkg-name_"$VERSION" || echo "dh-make: Ignoring Last Error"
LOGNAME=root dh_make --createorig -y -l -p ${UPSTREAM_NAME}_"$VERSION" || echo "dh-make: Ignoring Last Error"
apt-get build-dep ./ -y
# Build package
dpkg-buildpackage --no-sign
popd || exit 2
# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/